import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class H2OD3a_2000 extends JApplet implements ActionListener
{  int sayi1;
   int toplam;
   double ort;
   JLabel s1,s2;     //yazı alanlari sinifi
   JTextField t1;    //girdi alanlari (kutulari)
   JTextArea ciktiAlani; ciktı alanı
   //pencereyi baslatma metotu
   public void init()
   {
      Container c=getContentPane();
      c.setLayout(new FlowLayout());
      Color renk=c.getBackground();
      s1=new JLabel("küp ortalaması 1 den ");
      s2=new JLabel("e kadar ");
      t1=new JTextField(5);  //pencereye ekle
      ciktiAlani=new JTextArea();
      ciktiAlani.setBackground(renk);
      c.add(s1);
      c.add(t1);
      c.add(s2);
      c.add(ciktiAlani);
      t1.addActionListener(this);
   }
   //girdi alanindan sinyal bekle ve sinyal gelince su islemleri yap
   public void actionPerformed(ActionEvent e)
   {
      toplam=0;  //sayi1 i kutulardan oku
      sayi1=Integer.parseInt(t1.getText());
      int i=1;
      do {
        toplam+=i*i*i;
         }
      while(++i<=sayi1);
      ort=(double)toplam/(double)sayi1;
      ciktiAlani.setText(""+"1den "+sayi1+" e kadar küp ortalaması :"+ort);
      repaint();
    }
      //ActionPerformed metotunun kapanisi
} //H2OD3_2000 sinifinin kapanisi